# pspusb.h File Reference

Go to the source code of this file.

## Defines

#define | PSP_USBBUS_DRIVERNAME "USBBusDriver"
#define | PSP_USB_ACTIVATED 0x200
#define | PSP_USB_CABLE_CONNECTED 0x020
#define | PSP_USB_CONNECTION_ESTABLISHED 0x002

## Functions

int | sceUsbStart (const char *driverName, int unknown1, int unknown2)
| Start a USB driver.
int | sceUsbStop (const char *driverName, int unknown1, int unknown2)
| Stop a USB driver.
int | sceUsbActivate (u32 flag)
| Activate a USB driver.
int | sceUsbDeactivate ()
| Deactivate USB driver.
int | sceUsbGetState (void)
| Get USB state.

## Define Documentation

#define PSP_USB_ACTIVATED 0x200

#define PSP_USB_CABLE_CONNECTED 0x020

#define PSP_USB_CONNECTION_ESTABLISHED 0x002

#define PSP_USBBUS_DRIVERNAME "USBBusDriver"

## Function Documentation

int sceUsbActivate | ( | u32 | flag | ) |

Activate a USB driver.

Parameters:

  | flag | - Unknown, set to 0x1c8

Returns:
  0 on success

int sceUsbDeactivate | ( |  | ) |

Deactivate USB driver.

Returns:
  0 on success

int sceUsbGetState | ( | void |  | ) |

Get USB state.

Returns:
  OR'd PSP_USB_* constants

int sceUsbStart | ( | const char * | driverName,
|  | int | unknown1,
|  | int | unknown2
| ) |

Start a USB driver.

Parameters:

  | driverName | - name of the USB driver to start
  | unknown1 | - Unknown, set to 0
  | unknown2 | - Unknown, set to 0

Returns:
  0 on success

int sceUsbStop | ( | const char * | driverName,
|  | int | unknown1,
|  | int | unknown2
| ) |

Stop a USB driver.

Parameters:

  | driverName | - name of the USB driver to stop
  | unknown1 | - Unknown, set to 0
  | unknown2 | - Unknown, set to 0

Returns:
  0 on success